/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');*/

/*#components-reconnect-modal {
    display: none !important;
}*/


@font-face {
    font-family: 'DINOT';
    src: url('/fonts/DINOT-Regular_0.otf') format('opentype');
    font-weight: 400;
}

@font-face {
    font-family: 'DINOT-BOLD';
    src: url('/fonts/DINOT-Bold_0.otf') format('opentype');
    font-weight: 700;
}
 

table {
    border-collapse: collapse;
}

html, body {
    font-family: DINOT,'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #333333;
    color: #FFF;
    font-weight: 500;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.scrolling-text {
    animation: scroll-left 10s linear infinite; /* Adjust duration and timing as needed */
    display: inline-block; /* Allows the text to be animated */
    white-space: nowrap; /* Prevents text from wrapping to the next line */
}

.hide-scrollbar {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

    .hide-scrollbar::-webkit-scrollbar {
        display: none; /* Chrome, Safari, Opera */
    }

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.headerRowStyle {
    font-weight: bold;
    font-size: 21px;
    color: black;
}

.headerRowStyleScroll {
    font-weight: normal;
    font-size: 26px;
    color: black;
}




.T1Arrivals .flightRowStyle {
    font-size: 21px;
    color: #0d2c6c;
    border: solid 0px Black;
    background-color: white;
    border-collapse: separate;
}

.flightRowStyleScroll {
    font-size: 28px;
    color: #0d2c6c;
    font-weight: 400;
}

.T1Departures .flightRowStyle {
    font-size: 21px;
    color: white;
}

.T2Arrivals .flightRowStyle {
    font-size: 21px;
    color: #003c35;
}

.T2Departures .flightRowStyle {
    font-size: 21px;
    color: white;
}


.WatchListFlex {
    display: flex;
    align-content: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
}

/*BHS*/
.tableRow {
    height: 90px;
}

.tableData {
    width: 90px;
}

.clockLabel {
    font-size: 24px;
    width: 260px;
    color: #24548b;
    font-weight: 700;
    background-color: #efefef;
    box-shadow: 2px 2px 10px #888 inset;
    border-radius: 2px;
    border: 1px solid #888;
    padding: 10px;
}

.keypadLabel {
    font-size: 24px;
    font-weight: 700;
}

.keypadInputText {
    font-size: 24px;
    width: 260px;
    color: #24548b;
    font-weight: 700;
    background-color: #efefef;
    box-shadow: 2px 2px 10px #888 inset;
    border-radius: 2px;
    border: 1px solid #888;
    padding: 10px;
}

.keypadButton {
    height: 80px;
    width: 80px;
    font-size: 26px;
    font-weight: 700;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    color: #24548b;
    background-color: #fff;
    border: 1px;
    border-radius: 2px;
    box-shadow: 0px 5px 3px #666;
}

    .keypadButton:active {
        background-color: #EFEFEF;
        box-shadow: 0px 3px 2px #555;
        transform: translateY(2px);
    }

.searchButton {
    position: absolute;
    padding: 0px;
    margin: 0px;
    width: 100px;
    left: 25px;
    bottom: 25px;
}

.searchButtonPortrait {
    position: absolute;
    padding: 0px;
    margin: 0px;
    width: 100px;
    right: 25px;
    top: 25px;
}

    .searchButtonPortrait:active {
        background-color: #EFEFEF;
        box-shadow: 0px 3px 2px #555;
        transform: translateY(2px);
    }

.searchButton:active {
    background-color: #EFEFEF;
    box-shadow: 0px 3px 2px #555;
    transform: translateY(2px);
}

.columnHeader {
    font-size: 24px;
    font-weight: 700;
    width: 200px;
    padding: 0px;
    margin-left: -4px;
    color: black;
}

.tableColumnResult {
    padding: 12px;
}

.manualEntry {
    position: absolute;
    bottom: 30px;
    margin-left: 20px;
}

@supports (-webkit-touch-callout: none) {
    .status-bar-safe-area {
        display: flex;
        position: sticky;
        top: 0;
        height: env(safe-area-inset-top);
        background-color: #f7f7f7;
        width: 100%;
        z-index: 1;
    }

    .flex-column, .navbar-brand {
        padding-left: env(safe-area-inset-left);
    }
}

.clockTime {
    font-size: 48px;
    font-weight: 700;
    text-align: center;
    margin-top: 20px;
    text-shadow: 2px 2px 4px #000000;
}

.weatherHeader {
    font-size: 36px;
    font-weight: 400;
    text-align: center;
    margin-bottom: 20px;
    margin-top: 20px;
    background-color: #222;
}

.weatherTemp {
    color: #999;
    font-size: 48px;
    font-weight: 700;
    width: 150px;
    display: inline-block;
    text-align: center;
    vertical-align: text-bottom;
}

    .weatherTemp label {
        color: #FFF;
    }

.weatherForecast {
    font-size: 14px;
    font-weight: 400;
    text-align: left;
    padding: 0px 14px 10px 14px;
}

.weatherHumidity, .weatherDirection, .weatherSpeed, .metricTimes {
    font-size: 24px;
    font-weight: 700;
    text-align: center;
    padding: 20px;
    margin-top: 10px;
    background-image: linear-gradient(180deg, #222, #333, #333);
}

    .weatherHumidity label, .weatherDirection label, .weatherSpeed label, .metricTimes label {
        color: #999;
        font-weight: 400;
    }

.metricHeader {
    font-size: 36px;
    font-weight: 400;
    text-align: center;
    margin-top: 20px;
    background-color: #222;
}

.metricsMain {
    font-size: 24px;
    font-weight: 700;
    text-align: center;
}

.metricsLabel {
    padding: 5px;
    text-align: right;
}

.metricsValue {
    padding: 5px;
    text-align: left;
}

.metricsMain label {
    color: #999;
    font-weight: 400;
}

/*LANDINGPAGE*/
.webIDS {
    font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, "sans-serif";
    font-weight: 400;
    background-color: #000;
    font-size: 20px;
    padding: 50px;
}

header {
    font-size: 30px;
    /*background-color:#1282c5;*/
    background: rgb(18,130,197);
    background: linear-gradient(20deg, rgba(18,130,197,.3) 0%, rgba(10,69,105,1) 70%);
    color: #FFF;
    /*text-align: center;*/
    font-weight: 400;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 10px 10px 0px 0px;
    padding-left: 10px;
}

.webIDS article {
    color: #FFF;
    background-color: #073049;
    padding: 20px;
    margin: 0px 10px 10px 0px;
    float: left;
    border-radius: 4px;
    box-shadow: #041d2d 3px 3px 1px 1px;
    display: inline-block;
    position: relative;
    top: 1px;
    left: 1px;
}

    .webIDS article:hover {
        background-color: #1282c5;
        display: inline-block;
        position: relative;
        top: 3px;
        left: 3px;
        box-shadow: #041d2d 0px 0px 0px 0px;
    }

.LocationBlock {
    border-radius: 5px;
    width: 400px;
    background-color: #0a4569;
    margin-right: 20px;
    margin-bottom: 20px;
    display: inline-block;
}

    .LocationBlock div {
        padding: 10px;
    }

.collapsed {
    display: none;
}
